
QGIS Application - Bug report #6841

Variable Jenks classification in QGIS

2012-12-08 03:47 AM - Robin Lovelace

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 15977

Description

When I re-classified the bins using Jenk's classification, the bin values change substantially.

Nothing else changes: I just clicked "Classify" and every time a slightly different result emerged.

This is strange behaviour (Jenk's classification is not probabilistic, but requires a certain number of iterations I belive 

http://en.wikipedia.org/wiki/Jenks_natural_breaks_optimization ).

To see this behaviour, please see this video:

http://www.youtube.com/watch?v=-Z1j9Zca9v0&#38;feature=youtu.be

Is this behaviour repeated on other versions of QGIS?

Any ideas why it's happening?

Robin

History

#1 - 2014-06-28 07:43 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#2 - 2015-09-25 02:57 AM - Christophe Damour

Same problem here. Any news on this bug ?

#3 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
